<template>
  <component :is="earComponent" v-if="earComponent" />
</template>

<script lang="ts" setup>
import { computed } from 'vue'

import Curved from './Curved.vue'
import Round from './Round.vue'
import Pointed from './Pointed.vue'
import { NoseType } from '@/api'

const props = defineProps<{
  type: NoseType
}>()

const earComponent = computed<typeof Curved | undefined>(() => {
  switch (props.type) {
    case 'pointed':
      return Pointed
    case 'round':
      return Round
    case 'curved':
    default:
      return Curved
  }
})
</script>
